Page MenuHomePhabricator

Purge page as soon as edit conflict is detected
Closed, ResolvedPublic

Description

As soon as we detect that the save has failed due to an edit conflict, purge the page in the background. Note that we don’t wait for the purge to complete. (However, purge errors should probably be tracked, just like they are for normal purges after a successful save.)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2020, 6:30 AM

I created this extra task because it’s a requirement of the parent story and I don’t think it fits into any of its other subtasks.

Michael claimed this task.May 14 2020, 10:46 AM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-20 board.
Restricted Application added a project: User-Michael. · View Herald TranscriptMay 14 2020, 10:46 AM

Change 596426 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: purge page immediately after noticing edit conflict

https://gerrit.wikimedia.org/r/596426

Change 596426 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: purge page immediately after noticing edit conflict

https://gerrit.wikimedia.org/r/596426

Lucas_Werkmeister_WMDE closed this task as Resolved.May 15 2020, 10:14 AM